<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('users', function (Blueprint $table) {
            $table->string('reseller_nid_front')->nullable()->after('reseller_expires_at');
            $table->string('reseller_nid_back')->nullable()->after('reseller_nid_front');
            $table->string('reseller_passport_photo')->nullable()->after('reseller_nid_back');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('users', function (Blueprint $table) {
            $table->dropColumn(['reseller_nid_front', 'reseller_nid_back', 'reseller_passport_photo']);
        });
    }
};
